org.bdgenomics.adam.rdd.variation

# GenotypesSummary

#### case class GenotypesSummary(perSampleStatistics: StatisticsMap, singletonCount: Long, distinctVariantCount: Long) extends Product with Serializable

Summary statistics for a set of genotypes.

perSampleStatistics

  A map from sample id -> GenotypesSummaryCounts for that sample

singletonCount

  Number of variants that are called in exactly one sample.

distinctVariantCount

  Number of distinct variants that are called at least once.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenotypesSummary
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new GenotypesSummary(perSampleStatistics: StatisticsMap, singletonCount: Long, distinctVariantCount: Long)

   perSampleStatistics

     A map from sample id -> GenotypesSummaryCounts for that sample

   singletonCount

     Number of variants that are called in exactly one sample.

   distinctVariantCount

     Number of distinct variants that are called at least once.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### lazy val aggregateStatistics: GenotypesSummaryCounts

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val distinctVariantCount: Long

   Number of distinct variants that are called at least once.

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### val perSampleStatistics: StatisticsMap

    A map from sample id -> GenotypesSummaryCounts for that sample

18. #### val singletonCount: Long

    Number of variants that are called in exactly one sample.

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped